{% extends 'frame.html.twig' %}

{% block body %}
    {% include 'widgets/page_switcher.html.twig' with {'route': 'admin_project_overview'} %}

   <div class="table_wrapper">
       <div class="table">
           <div class="table_header general_list_row table_row">
               <div class="general_list_cell table_cell">{{ 'project_name' | trans }}</div>
               <div class="general_list_cell table_cell">{{ 'description' | trans }}</div>
               <div class="general_list_cell table_cell">{{ 'tableHeader.actions' | trans }}</div>
           </div>



           {% for project in projects %}
           <div class="general_list_row table_row">
               <div class="general_list_cell table_cell">{{ project.name }}</div>
               <div class="general_list_cell table_cell">{{ project.description }}</div>
               <div class="general_list_cell table_cell">
                   <a href="{{ path('admin_modify_project', {'id': project.id}) }}">
                       {% image '@AppBundle/Resources/public/img/icons/modify.svg' output='/img/icons/modify.svg' %}
                       <img class="icon" src="{{ asset_url }}" alt="Modify">
                       {% endimage %}
                   </a>
                   <a href="javascript: void(0)" class="delete_confirmation_button" data-id="{{ project.id }}">
                       {% image '@AppBundle/Resources/public/img/icons/delete.svg' output='/img/icons/delete.svg' %}
                       <img class="icon" src="{{ asset_url }}" alt="Delete">
                       {% endimage %}
                   </a>
                   <div class="delete_confirmation_popup" data-id-confirm-popup="{{ project.id }}">
                       {{ 'Are you sure you want to delete this project?' | trans }}

                       <form name="delete_{{ project.id }}" action="{{ path('admin_delete_project', {'id': project.id}) }}" method="POST">
                           <input type="hidden" name="_csrf_token" value="{{ tokens[project.id] }}">
                           <input type="submit" value="{{ 'Yes' | trans }}">
                           <input type="button" class="delete_cancellation_button" value="{{ 'No' | trans }}">
                       </form>

                   </div>
               </div>
           </div>
           {% endfor %}
       </div>
   </div>
   <a class="create_button basic_button" href="{{  path('admin_create_project') }}">{{ 'New project' | trans }}</a>

    {% include 'widgets/page_switcher.html.twig' with {'route': 'admin_project_overview'} %}
{% endblock %}
